Bug 21818 - Don't use AutoCommit flag in stage-marc-import.pl
Summary: Don't use AutoCommit flag in stage-marc-import.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 18806
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-13 11:29 UTC by Fridolin Somers
Modified: 2021-05-24 18:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl (2.78 KB, patch)
2021-03-11 10:54 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl (2.83 KB, patch)
2021-04-17 14:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl (2.91 KB, patch)
2021-04-23 13:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2018-11-13 11:29:22 UTC
Like Bug 18806, we should replace the use of AutoCommit flag by DBIx transaction.
Comment 1 Fridolin Somers 2019-12-03 12:41:02 UTC
Still valid with 19.11.x
Comment 2 Fridolin Somers 2020-09-21 13:47:50 UTC
Still valid with 20.11.x
Comment 3 Fridolin Somers 2021-03-11 10:54:52 UTC
Created attachment 118109 [details] [review]
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl

Like it was done in Bug 18806.

Test plan :
Use stage-marc-import.pl with and without patch, with a matcher to find
duplicates
Comment 4 Katrin Fischer 2021-04-17 14:02:53 UTC
Created attachment 119793 [details] [review]
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl

Like it was done in Bug 18806.

Test plan :
Use stage-marc-import.pl with and without patch, with a matcher to find
duplicates

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-04-17 14:03:39 UTC
I've done regresssion testing on the GUI side here:
- Exported records
- Staged them using the biblionumber rule
- Verified they matched
- Imported into catalog
- Undid import
Comment 6 Kyle M Hall 2021-04-23 13:56:33 UTC
Created attachment 120106 [details] [review]
Bug 21818: Replace AutoCommit flag with DBIx transaction in stage-marc-import.pl

Like it was done in Bug 18806.

Test plan :
Use stage-marc-import.pl with and without patch, with a matcher to find
duplicates

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-04-27 14:25:21 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-04-30 08:37:45 UTC
Pushed to 20.11.x for 20.11.06
Comment 9 Andrew Fuerste-Henry 2021-05-24 18:27:06 UTC
Pushed to 20.05.x for 20.05.12
Comment 10 Victor Grousset/tuxayo 2021-05-24 18:40:33 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.